Package org.opensaml.xmlsec.encryption

# Interface ReferenceList

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `ReferenceListImpl`

public interface ReferenceList extends XMLObject
XMLObject representing XML Encryption, version 20021210, ReferenceList element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.

## Method Summary

Modifier and Type
Method
Description
`List<DataReference>`
`getDataReferences()`
Get the list of data reference child elements.
`List<KeyReference>`
`getKeyReferences()`
Get the list of key reference child elements.
`List<ReferenceType>`
`getReferences()`
Get the list of reference child elements.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

## Method Details

### getReferences

@Nonnull @Live List<ReferenceType> getReferences()
Get the list of reference child elements.

Returns:
  the list of reference child elements

### getDataReferences

@Nonnull @Live List<DataReference> getDataReferences()
Get the list of data reference child elements.

Returns:
  the list of data reference child elements

### getKeyReferences

@Nonnull @Live List<KeyReference> getKeyReferences()
Get the list of key reference child elements.

Returns:
  the list of key reference child elements